ZFCPDBF(1)

NAME
zfcpdbf - zfcp trace data sort/analyse tool.

SYNOPSIS
zfcpdbf [OPTIONS] <adapter>
zfcpdbf {-h|-v}

DESCRIPTION
zfcpdbf Interprets the information from various logging and tracing sources, e.g. zfcp-, qdio- and cio-trace records and, if available, system messages. With offline debug data, such as collected by dbginfo.sh or extracted from a Linux system dump with crash version 5.1.0 or later, zfcpdbf can run on any platform with a suitable Perl language environment. Any zfcpdbf since version 1.13.0 works with debug data from any Linux kernel since version 2.6.38. Recent zfcpdbf versions with older kernel versions show zeros or empty values for newer trace record fields the old kernel did not yet have. Older zfcpdbf versions with recent kernel versions simply show the old trace records fields zfcpdbf already knows about and ignores any newer trace record fields of the kernel. For full exploitation, it is recommended to always use the latest version of zfcpdbf no matter from which kernel version the debug data is.

OPTIONS

-h, --help
    Print usage information, then exit.

-v, --version
    Print version information, then exit.

-x <AREA[,AREA]>, --exclude=<AREA[,AREA]>
    list of trace areas to exclude (default none).

-i <AREA[,AREA]>, --include=<AREA[,AREA]>
    list of trace areas to include (default all).

-z , --zfcp-only
    zfcp trace areas only (short cut).

-t <DIFF>, --timediff=<DIFF>
    highlight requests with a round-trip processing time of <DIFF> or more.

-e, --def-error
    do NOT show deferred error messages.

-f, --force
    force execution on a detected version mismatch.

-p <PATH>, --path=<PATH>
    use directory <PATH> for the location of the trace records.

-r <PATH>, --root=<PATH>
    prepend <ROOT> to standard trace record location.

-m <ZONE>, --timezone=<ZONE>
    set time zone for system message timestamps.

PARAMETERS
<AREA> may be REC, HBA, SAN, SCSI, QDIO, QDIO_SETUP, QDIO_ERROR, CIO_TRACE, CIO_MSG, CIO_CRW, KERNEL or MULTIPATH. <DIFF> is the value in seconds which has to be lapsed between sending the request and receiving its response. <PATH> is specifying the location(directory) of trace records which were pulled from another system, e.g. pulled from a dump. <ROOT> is specifying a directory which has to be prepended to the standard location of the trace records, e.g. typically used in conjunction with the result of the dbginfo script. <PATH> and <ROOT> are only useful if used on non-live systems and therefore typically used by service- or development-staff. <ZONE> is a time zone value in the [+-][h]h[:mm] format. <adapter> aka busid is specifying the host adapter of which the trace information should be processed. if a 4-digit value is provided it is automaitically extended to the correct format 0f 0.0.xxxx.